Skip to main content
GET
/
v1
/
alerts
/
{alert_uuid}
/
relationship-graph
Get Relationship Graph
curl --request GET \
  --url https://api.example.com/v1/alerts/{alert_uuid}/relationship-graph
{
  "data": {
    "alert": {
      "uuid": "<string>",
      "title": "<string>",
      "severity": "<string>",
      "status": "<string>",
      "source_name": "<string>",
      "occurred_at": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ]
    },
    "indicators": [
      {
        "uuid": "<string>",
        "type": "<string>",
        "value": "<string>",
        "malice": "<string>",
        "first_seen": "2023-11-07T05:31:56Z",
        "last_seen": "2023-11-07T05:31:56Z",
        "is_enriched": true,
        "enrichment_summary": {},
        "total_alert_count": 123,
        "sibling_alerts": [
          {
            "uuid": "<string>",
            "title": "<string>",
            "severity": "<string>",
            "status": "<string>",
            "source_name": "<string>",
            "occurred_at": "2023-11-07T05:31:56Z",
            "tags": [
              "<string>"
            ]
          }
        ]
      }
    ]
  },
  "meta": {}
}

Path Parameters

alert_uuid
string<uuid>
required

Query Parameters

sibling_limit
integer
default:10
Required range: 1 <= x <= 50

Response

Successful Response

data
AlertRelationshipGraph · object
required

Complete graph data returned by the relationship-graph endpoint.

meta
Meta · object